import { Base, Type, Point } from "igniteui-react-core";
import { IBucketizer } from "./IBucketizer";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { MarkerSeries } from "./MarkerSeries";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { RadialLabelMode } from "igniteui-react-core";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { HighlightingInfo } from "igniteui-react-core";
import { OthersCategoryContext } from "./OthersCategoryContext";
import { CategoryTransitionSourceFramePreparer } from "./CategoryTransitionSourceFramePreparer";
import { RadialFrame } from "./RadialFrame";
import { RadialSeriesRenderManager } from "./RadialSeriesRenderManager";
import { CategoryMode } from "./CategoryMode";
import { List$1 } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { AssigningRadialStyleEventArgs } from "./AssigningRadialStyleEventArgs";
import { AssigningRadialMarkerStyleEventArgs } from "./AssigningRadialMarkerStyleEventArgs";
import { RadialAxes } from "./RadialAxes";
import { Pool$1 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class RadialBucketCalculator extends Base implements IBucketizer {
    static $t: Type;
    protected a: RadialBaseView;
    constructor(a: RadialBaseView);
    c: number;
    d: number;
    b: number;
    getBucket(a: number): number[];
    getBucketWithoutUnknowns(a: number): number[];
    getErrorBucket(a: number, b: IFastItemColumn$1<number>): number;
    getBucketInfo(a: number, b: number, c: number, d: number): {
        p0: number;
        p1: number;
        p2: number;
        p3: number;
    };
    e(a: number): void;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare abstract class RadialBase extends MarkerSeries implements IHasCategoryModePreference {
    static $t: Type;
    qw(a: SeriesView): void;
    yz: RadialBaseView;
    constructor();
    private aax;
    get categoryAxis(): CategoryAxisBase;
    az(): CategoryAxisBase;
    ye(a: number, b: number): any[];
    zu: number;
    zv: number;
    z3: string;
    y5: RadialLabelMode;
    y4: RadialLabelMode;
    z5: string;
    yd: any[];
    aar: string;
    yi: any[];
    aah: string;
    yf: any[];
    aao: string;
    yh: any[];
    aal: string;
    yg: any[];
    protected y6: RadialSeriesRenderManager;
    po(a: any): void;
    ec(a: any): boolean;
    pm(a: any): void;
    d9(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number): boolean;
    protected kq(a: number, b: boolean): any;
    private aau;
    private aab;
    private aac;
    private zr;
    private aad;
    private zs;
    protected zz(a: number, b: any): any;
    private z1;
    protected get_fr(): boolean;
    zi: boolean;
    zh: boolean;
    yt: CategoryTransitionInMode;
    zj: boolean;
    protected zd: boolean;
    protected zc: boolean;
    protected get_fc(): boolean;
    private za;
    private zb;
    protected y7(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected zo(): boolean;
    protected hr(): List$1<SeriesLayerPropertyOverlay>;
    ks(): any;
    protected y8(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected y9(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    de(a: any, b: Point, c: boolean): HighlightingInfo;
    df(a: any, b: Point, c: boolean): HighlightingInfo;
    assigningRadialStyle: (sender: any, args: AssigningRadialStyleEventArgs) => void;
    assigningRadialMarkerStyle: (sender: any, args: AssigningRadialMarkerStyleEventArgs) => void;
    protected zn(): boolean;
    protected zm(): boolean;
    protected aa0(a: AssigningRadialStyleEventArgs): void;
    protected aaz(a: AssigningRadialMarkerStyleEventArgs): void;
    zw(a: SeriesView): number;
    zx(a: SeriesView): number;
    yq: CategoryAngleAxis;
    yv: NumericRadiusAxis;
    ai(): Axis[];
    zg: boolean;
    protected sk(a: Rect, b: Rect): void;
    protected sj(a: Rect, b: Rect): void;
    abstract preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    private yj;
    private yn;
    private yk;
    private ym;
    private yl;
    protected q4(a: any, b: string, c: any, d: any): void;
    protected zl(): boolean;
    protected zk(): boolean;
    zf(a: any): boolean;
    ze(a: any): boolean;
    private yw;
    protected get_yx(): OthersCategoryContext;
    get yx(): OthersCategoryContext;
    kl(a: Point): any;
    zp(a: Point): number;
    ip(a: Point): number;
    zq(a: number, b: Rect, c: Rect, d: Rect): number;
    j1(a: Point): number;
    gb(a: any): boolean;
    y2: RadialFrame;
    y3: RadialFrame;
    y0: RadialFrame;
    y1(): RadialFrame;
    abstract getOffsetValue(): number;
    abstract getCategoryWidth(): number;
    abstract aay(a: RadialFrame, b: RadialBaseView): void;
    abstract aa1(a: RadialFrame, b: RadialBaseView): void;
    yy: RadialAxes;
    p5(): void;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    yu: CategoryTransitionSourceFramePreparer;
    protected ys(): CategoryTransitionInMode;
    protected zt(): number;
    protected gl(): boolean;
    protected gm(): boolean;
    rn(a: boolean): void;
    zy(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialBaseView extends MarkerSeriesView {
    static $t: Type;
    cx: RadialBucketCalculator;
    cw: RadialBase;
    constructor(a: RadialBase);
    cy: Pool$1<Marker>;
    cj(a: (arg1: Marker) => void): void;
    cz: number;
    c0: Point;
}
